Download exported file
GET
/api/public/v1/documents/files/{id}/download
const url = 'https://app.kontera.ch/api/public/v1/documents/files/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/download';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://app.kontera.ch/api/public/v1/documents/files/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/downloadDownload a file that has been exported. Only files belonging to synchronized (exported) invoices can be downloaded. Use the konteraId from the webhook export payload.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
The konteraId of the file from the export webhook payload
Responses
Section titled “Responses”File stream
Media typeapplication/octet-stream
string format: binary
Unauthorized
Forbidden - missing api:documents:read-exported scope
File not found or not yet exported